﻿Imports Infragistics.Win.UltraWinGrid

Public Class Form1

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim dropDownTable As New DataTable("dropDownTable")
        dropDownTable.Columns.Add("ID", GetType(Integer)).AutoIncrement = True
        dropDownTable.Columns.Add("Description", GetType(String))


        For index = 1 To 10
            dropDownTable.Rows.Add(Nothing, String.Format("Some additional Description{0}", index))
        Next

        UltraDropDown1.DataSource = dropDownTable
        UltraDropDown1.ValueMember = "ID"
        UltraDropDown1.DisplayMember = "Description"

        Dim gridTable As New DataTable("dropDownTable")

        gridTable.Columns.Add("GridColumn", GetType(String)).DefaultValue = "GridColumn"
        gridTable.Columns.Add("DropDownColumn", GetType(Integer))


        For index = 1 To 100
            gridTable.Rows.Add(Nothing, index Mod 10)
        Next
        UltraGrid1.DataSource = gridTable



    End Sub

    Private Sub UltraGrid1_InitializeLayout(sender As System.Object, e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles UltraGrid1.InitializeLayout
        e.Layout.Bands(0).Columns("DropDownColumn").ValueList = UltraDropDown1
    End Sub

    Private Sub UltraDropDown1_InitializeLayout(sender As System.Object, e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles UltraDropDown1.InitializeLayout
 
    End Sub

    Private Sub UltraDropDown1_AfterDropDown(sender As System.Object, e As Infragistics.Win.UltraWinGrid.DropDownEventArgs) Handles UltraDropDown1.AfterDropDown
        Dim column As UltraGridColumn

        For Each column In UltraDropDown1.DisplayLayout.Bands(0).Columns

            If column.IsVisibleInLayout Then
                column.AutoSizeMode = ColumnAutoSizeMode.AllRowsInBand
                column.PerformAutoResize()
            End If

        Next
    End Sub
End Class
